;***************************************************************************
;
; ISR.INC - definitions for ISR.ASM
;
;  Copyright (c) Rich Bono, all rights reserved
;
;***************************************************************************

VERS	equ	"1.00"		;Version string, keep to length of 4

ISRTITLE equ	"Interrupt Service Reflector"

THISINT	equ	00Ch		;Default interrupt to place hook into

CMDINT	equ	069h		;Command interface vector
S_FLAG	equ	06996h		;Flag needed in AX for CMDINT to function
E_FLAG	equ	09669h		;Flag returned in AX when CMDINT returns

ENVIRON	equ	02ch		;Offset into PSP for address of
				; envionment

DOSINT	equ	021h		;Dos function interrupt
SIV	equ	025h		; Set interrupt vector function
GIV	equ	035h		; Get interrupt vector function
TSR	equ	031h		; Terminate and Stay Resident function
EXIT	equ	04ch		; Terminate
FREEMEM	equ	049h		; Free Allocated memory

CR	equ	0dh		;Carriage Return
LF	equ	0ah		;Line Feed
EOF	equ	01ah		;End Of File marker

BANNERSTRING macro ;MACRO to create the banner string
	db	CR
	db	ISRTITLE
	db	": Version ", VERS, CR, LF
	db	" Copyright (c) 1991, Rich Bono (NM1D).", CR, LF
	db	" All rights reserved.", CR, LF, LF
endm

; end of ISR.INC
;***************************************************************************
